org.eclipse.net4j.signal

## Interface ISignalProtocol<INFRA_STRUCTURE>

- All Superinterfaces:
    IBufferHandler, ILocationAware, INotifier, IProtocol<INFRA_STRUCTURE>, IUserAware
  All Known Implementing Classes:
    AuthenticatingSignalProtocol, HeartBeatProtocol, HeartBeatProtocol.Server, SignalProtocol

      public interface ISignalProtocol<INFRA_STRUCTURE>
      extends IProtocol<INFRA_STRUCTURE>, INotifier

  A `protocol` that consists of a number of stream-based `signals`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

      `ILocationAware.Location`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_TIMEOUT`
    `static long` | `NO_TIMEOUT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStreamWrapper(IStreamWrapper streamWrapper)`
    `void` | `close()`
    `IStreamWrapper` | `getStreamWrapper()`
    `long` | `getTimeout()`
    `IChannel` | `open(IConnector connector)`
    `void` | `setStreamWrapper(IStreamWrapper streamWrapper)`
    `void` | `setTimeout(long timeout)`

    - ### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol

      `getBufferProvider, getChannel, getExecutorService, getInfraStructure, getType, setChannel, setExecutorService, setInfraStructure`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

    - ### Methods inherited from interface org.eclipse.net4j.ILocationAware

      `getLocation, isClient, isServer`

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler

      `handleBuffer`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### NO_TIMEOUT

          static final long NO_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT

          static final long DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTimeout

          long getTimeout()

    - #### setTimeout

          void setTimeout(long timeout)

    - #### getStreamWrapper

          IStreamWrapper getStreamWrapper()

    - #### setStreamWrapper

          void setStreamWrapper(IStreamWrapper streamWrapper)

    - #### addStreamWrapper

          void addStreamWrapper(IStreamWrapper streamWrapper)

    - #### open

          IChannel open(IConnector connector)

    - #### close

          void close()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html